Bug 131868 - gnome bottom panel auto-hide quits working
gnome bottom panel auto-hide quits working
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
http://www.futzin.com/panelProb.jpg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 00:21 EDT by Mike
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 08:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JPG image shown at URL in initial report (72.55 KB, image/jpeg)
2004-09-06 00:23 EDT, Mike
no flags Details

  None (edit)
Description Mike 2004-09-06 00:21:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040619

Description of problem:
Looking at the URL I listed above, I drew an arrow in the lower right
corner which points to a bottom panel element; a little rectangle with
three vertically arranged dots.  If I have a working bottom panel;
i.e. it hides when I move the mouse away and I try to drag that
rectange with the mouse by clicking and holding with the left mouse
button to the left, this causes the auto-hide function to cease until
the next login.

Version-Release number of selected component (if applicable):
gnome-panel-2.7.92.1-1

How reproducible:
Always

Steps to Reproduce:
1. Attempt to drag rectangle using mouse.
2. 
3.
    

Actual Results:  Auto-hide quits functioning.

Expected Results:  Auto-hide shouldn't quit.

Additional info:
Comment 1 Mike 2004-09-06 00:23:28 EDT
Created attachment 103498 [details]
JPG image shown at URL in initial report
Comment 2 Mark McLoughlin 2004-09-14 08:51:10 EDT
Thanks for the report - I've fixed this in upstream CVS and so the fix
will be in gnome-panel-2.8.1 which I'm sure we'll have in FC3 final.

2004-09-14  Mark McLoughlin  <mark@skynet.ie>

        Fix for
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=131868
        where trying to drag a locked applet caused autohide to stop
working.

        * panel-widget.c: (panel_widget_applet_drag_start): pop the
autohide
        disabler if we fail to start the drag.


Note You need to log in before you can comment on or make changes to this bug.